<template>
  <v-snackbar
    v-model="show"
    :top="true"
    :color="'red'"
    :multi-line="true"
    :timeout="timeout"
  >
    {{ message }}
    <v-btn
      dark
      text
      @click="show = false"
    >
      Close
    </v-btn>
  </v-snackbar>
</template>

<script lang="ts">
import { Vue, Component, Watch } from 'vue-property-decorator';
import { mapState } from 'vuex';


@Component({
  computed: mapState({
    message: 'errorMessage',
  }),
})
export default class Notification extends Vue {
  private timeout: number = 6000;
  private show: boolean = false;

  @Watch('message')
  public onOriginChanged(val: string, oldVal: string) {
    if (val !== '') {
      this.show = true;
    }
  }
}
</script>
